/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "../../../../../../styles/openk.styles";

.diagram {
  overflow: hidden;
  position: relative;
  width: 100%;
  height: 100%;
  box-sizing: border-box;
}

.diagram---border {
  border: 1px solid $openk-form-border;
  border-radius: 4px;
}

.diagram--button {
  position: absolute;
  top: 0.2em;
  right: 0.2em;
  z-index: 1000;
  height: 22px;
  width: 22px;
}
